Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8169500

Cannot build JavaFX with OpenJDK due to dependency on jdk.jfr

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P2
    • Resolution: Fixed
    • Affects Version/s: 9
    • Fix Version/s: 9
    • Component/s: javafx
    • Labels:

      Description

      After the fix for JDK-8161704, we can no longer build JavaFX with OpenJDK due to leftover dependency on jdk.jfr.

      The build logic that depends on jfr is currently disabled in build.gradle, but the module-info.java of javafx.base has a "requires jdk.jfr" statement. This should be removed. As a note, JDK-8088418 is a follow-on RFE to switch to the new API, and when/if that is done it will need to be done such that the dependency is optional.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                kcr Kevin Rushforth
                Reporter:
                kcr Kevin Rushforth
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: